{
	"name": "table/manager/product/storage_lot.json",
	"table_name": "storage_lot",
	"table_prefix": "stl",
	"record_type": [""],
	"default_order": [{
		"field": "storage_lot_id",
		"order": ">"
	}],
	"default_field": "table/default_field.json",
	"save_script": [],
	"calculated_field": [],
	"field": [{
			"constraint": ["primary key", "unique"],
			"length": 40,
			"type": "varchar",
			"name": "storage_lot_id"
		},
		{
			"length": 40,
			"type": "varchar",
			"name": "from_id"
		},
		{
			"length": 40,
			"type": "varchar",
			"name": "to_id"
		},
		{
			"type": "varchar",
			"length": 80,
			"name": "product_id",
			"foreign_key": {
				"field": "product_id",
				"link_type": "prevent delete",
				"table": "product"
			}
		},
		{
			"name": "amount",
			"type": "double"
		},
		{
			"name": "unit",
			"type": "varchar",
			"length": 20
		},
		{
			"length": 20,
			"type": "varchar",
			"name": "storage_lot_state"
		},
		{
			"length": 20,
			"type": "varchar",
			"name": "storage_lot_type"
		},
		{
			"allowed_value": ["shelf", "wip", "work", "missing"],
			"length": 40,
			"type": "varchar",
			"name": "location"
		},
		{
			"name": "serial_number",
			"type": "varchar",
			"length": 80
		},
		{
			"name": "production_lot",
			"type": "varchar",
			"length": 80
		},
		{
			"name": "info",
			"type": "text"
		}
	],
	"extra_field": [],
	"field_change": []
}